import _Grid from "@alifd/next/es/grid";
import * as React from "react";
import "./index.scss";
export default function StyleItemSetter(props) {
  var label = props.label,
    dataInput = props.dataInput;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Grid.Row, {
    className: "style-item"
  }, /*#__PURE__*/React.createElement(_Grid.Col, {
    span: 7,
    style: {
      textAlign: "right",
      paddingRight: 8
    }
  }, label), /*#__PURE__*/React.createElement(_Grid.Col, {
    span: 15
  }, dataInput)));
}
StyleItemSetter.SumItem = function (props) {
  return /*#__PURE__*/React.createElement("div", {
    className: "style-item-sub"
  }, props.children);
};
StyleItemSetter.TowColumnLayout = function (props) {
  return /*#__PURE__*/React.createElement(_Grid.Row, {
    wrap: true
  }, props.children.map(function (item) {
    return /*#__PURE__*/React.createElement(_Grid.Col, {
      span: 12
    }, item);
  }));
};
StyleItemSetter.OneColumn = function (props) {
  return /*#__PURE__*/React.createElement(_Grid.Row, {
    className: "style-item"
  }, props.children);
};